Roundup Tracker - Issues

Issue 2551056

classification
Wiki: Fix roundup theme for new version of moinmoin
Type: Severity: normal
Components: Infrastructure Versions:
process
Status: new
:
: : ber, rouilj
Priority: : patch

Created on 2019-08-29 07:12 by ber, last changed 2021-05-12 11:09 by ber.

Files
File name Uploaded Description Edit Remove
roundup-theme-fix-20190829-1.diff ber, 2019-08-29 07:54
Messages
msg6602 Author: [hidden] (ber) Date: 2019-08-29 07:29
Split out from issue2551045(Implementing wiki move to Waldmann-EDV):

The old roundup wiki style needs to be fixed to be current with
themes from moinmoin 1.9.10. Especially compare to the modernized
style.

List of issues:
* An important box
  as configured with
http://hg.moinmo.in/moin/1.9/file/tip/docs/resetpw/wikiconfig-note-snippet.txt
is not shown with the roundup.py theme
  
as it misses to call 
http://hg.moinmo.in/moin/1.9/file/tip/MoinMoin/theme/modernized.py#l90

in header() and editorheader()

A comparision shows that some other calls are also not made,
like the following two:
{{{
# Post header custom html (not recommended)
self.emit_custom_html(self.cfg.page_header2),

# Start of page
self.startPage(),
}}}

* The icons used are a bit outfashioned as modernized as modern icons.
* A layout and icons can be improved overall like with the memodump.
https://moinmo.in/ThemeMarket/memodump
msg6604 Author: [hidden] (ber) Date: 2019-08-29 07:54
roundup-theme-fix-20190829-1.diff allows display of page_header1 notes
and thus the important notes.
msg6611 Author: [hidden] (ber) Date: 2019-08-30 10:05
Note roundup-theme-fix-20190829-1.diff has layout of usually used
page_header1 that overlaps with the search box. (This is accepted as
good enough for now, but should be fixed if more work is done on the
theme as
part of this issue.)

The theme should (in my opinion) display the date time of the last
change of the wiki page, so people can judge the age
of the information.
msg7229 Author: [hidden] (rouilj) Date: 2021-05-12 03:50
roundup-theme-fix-20190829-1.diff was applied as part of

changeset:   6287:7132c780c686
date:        Sun Nov 15 15:17:10 2020 -0500
files:       website/wiki/wiki/data/plugin/theme/roundup.py

this has been deployed to waldman.

Bern is there any way to tell if it is working as intended?
In your comments you say it overlaps with the search box,
but I don't see anything overlapping the search box.

Also do you have patches to implement the things in msg6602?
It looks like http://hg.moinmo.in/moin has gone away.
msg7231 Author: [hidden] (ber) Date: 2021-05-12 11:09
John,
the official moinmoin repos have changed to
  https://github.com/moinwiki/moin-1.9
so the files I've referred to were

https://github.com/moinwiki/moin-1.9/blob/master/docs/resetpw/wikiconfig-note-snippet.txt

and 
https://github.com/moinwiki/moin-1.9/blob/master/MoinMoin/theme/modernized.py#L90


The roundup-theme-fix-20190829-1.diff fixed that the "important" box
is shown, if it is activated in case of wiki maintenance or other important
messages to all wiki readers. Only an admin can trigger it, so
we can assume it is applied if Thomas accepted it. He could use it to give a message
if we invalidated all passwords or something similiar.
An only in this case it would overlap.

You could test the overlapping independently by setting up a moinmoin instance
with the current roundup style. As it is a rare situation to show the info box,
it shouldn't have a high prio in my view.

The other points were about improving the theme overall and adapting it to the current
themes:

* The icons used are a bit outfashioned as modernized has icons which are better.
* Layout and icons can be improved overall like with the memodump.
https://moinmo.in/ThemeMarket/memodump

My suggestion: close this issue for the import box style fix and create a new one for a more general style improvement.
History
Date User Action Args
2021-05-12 11:09:28bersetmessages: + msg7231
2021-05-12 03:50:55rouiljsetnosy: + rouilj
messages: + msg7229
2019-08-30 10:05:55bersetmessages: + msg6611
2019-08-29 07:54:41bersetfiles: + roundup-theme-fix-20190829-1.diff
keywords: + patch
messages: + msg6604
2019-08-29 07:29:21bersetnosy: + ber
messages: + msg6602
title: Wiki -> Wiki: Fix roundup theme for new version of moinmoin
2019-08-29 07:12:58bercreate